%% Find ISE for MT simulations
%
% Created by: Christoffer Ofstad 20.02.2014

%% Case 1
%highpass filter first
ds_Test1AFF = highpass_thrust(ds_Test1AFF);
ds_Test1cubic = highpass_thrust(ds_Test1cubic);
ds_Test1cubicAFF = highpass_thrust(ds_Test1cubicAFF);
ds_Test1noAFF = highpass_thrust(ds_Test1noAFF);

ISE_Test1AFF=zeros(6,1);
for i=1:length(ds_Test1AFF.time0)
    ISE_Test1AFF=ISE_Test1AFF+...
                    [ds_Test1AFF.Debug1(i);
                    ds_Test1AFF.Debug2(i);
                    ds_Test1AFF.Debug3(i);
                    ds_Test1AFF.Debug4(i);
                    ds_Test1AFF.Debug5(i);
                    ds_Test1AFF.Debug6(i)].^2;
end
ISE_Test1AFF_eta=ISE_Test1AFF(1:3)/length(ds_Test1AFF.time0);
ISE_Test1AFF_tau=ISE_Test1AFF(4:6)/length(ds_Test1AFF.time0);

ISE_Test1cubic=zeros(6,1);
for i=1:length(ds_Test1cubic.time0)
    ISE_Test1cubic=ISE_Test1cubic+...
                    [ds_Test1cubic.Debug1(i);
                    ds_Test1cubic.Debug2(i);
                    ds_Test1cubic.Debug3(i);
                    ds_Test1cubic.Debug4(i);
                    ds_Test1cubic.Debug5(i);
                    ds_Test1cubic.Debug6(i)].^2;
end
ISE_Test1cubic_eta=ISE_Test1cubic(1:3)/length(ds_Test1cubic.time0);
ISE_Test1cubic_tau=ISE_Test1cubic(4:6)/length(ds_Test1cubic.time0);

ISE_Test1cubicAFF=zeros(6,1);
for i=1:length(ds_Test1cubicAFF.time0)
    ISE_Test1cubicAFF=ISE_Test1cubicAFF+...
                    [ds_Test1cubicAFF.Debug1(i);
                    ds_Test1cubicAFF.Debug2(i);
                    ds_Test1cubicAFF.Debug3(i);
                    ds_Test1cubicAFF.Debug4(i);
                    ds_Test1cubicAFF.Debug5(i);
                    ds_Test1cubicAFF.Debug6(i)].^2;
end
ISE_Test1cubicAFF_eta=ISE_Test1cubicAFF(1:3)/length(ds_Test1cubicAFF.time0);
ISE_Test1cubicAFF_tau=ISE_Test1cubicAFF(4:6)/length(ds_Test1cubicAFF.time0);


ISE_Test1noAFF=zeros(6,1);
for i=1:length(ds_Test1noAFF.time0)
    ISE_Test1noAFF=ISE_Test1noAFF+...
                    [ds_Test1noAFF.Debug1(i);
                    ds_Test1noAFF.Debug2(i);
                    ds_Test1noAFF.Debug3(i);
                    ds_Test1noAFF.Debug4(i);
                    ds_Test1noAFF.Debug5(i);
                    ds_Test1noAFF.Debug6(i)].^2;
end
ISE_Test1noAFF_eta=ISE_Test1noAFF(1:3)/length(ds_Test1noAFF.time0);
ISE_Test1noAFF_tau=ISE_Test1noAFF(4:6)/length(ds_Test1noAFF.time0);


%% Case 2
%highpass filter first
ds_Test2AFF = highpass_thrust(ds_Test2AFF);
ds_Test2cubic = highpass_thrust(ds_Test2cubic);
ds_Test2cubicAFF = highpass_thrust(ds_Test2cubicAFF);
ds_Test2noAFF = highpass_thrust(ds_Test2noAFF);

ISE_Test2AFF=zeros(6,1);
for i=1:length(ds_Test2AFF.time0)
    ISE_Test2AFF=ISE_Test2AFF+...
                    [ds_Test2AFF.Debug1(i);
                    ds_Test2AFF.Debug2(i);
                    ds_Test2AFF.Debug3(i);
                    ds_Test2AFF.Debug4(i);
                    ds_Test2AFF.Debug5(i);
                    ds_Test2AFF.Debug6(i)].^2;
end
ISE_Test2AFF_eta=ISE_Test2AFF(1:3)/length(ds_Test2AFF.time0);
ISE_Test2AFF_tau=ISE_Test2AFF(4:6)/length(ds_Test2AFF.time0);

ISE_Test2cubic=zeros(6,1);
for i=1:length(ds_Test2cubic.time0)
    ISE_Test2cubic=ISE_Test2cubic+...
                    [ds_Test2cubic.Debug1(i);
                    ds_Test2cubic.Debug2(i);
                    ds_Test2cubic.Debug3(i);
                    ds_Test2cubic.Debug4(i);
                    ds_Test2cubic.Debug5(i);
                    ds_Test2cubic.Debug6(i)].^2;
end
ISE_Test2cubic_eta=ISE_Test2cubic(1:3)/length(ds_Test2cubic.time0);
ISE_Test2cubic_tau=ISE_Test2cubic(4:6)/length(ds_Test2cubic.time0);

ISE_Test2cubicAFF=zeros(6,1);
for i=1:length(ds_Test2cubicAFF.time0)
    ISE_Test2cubicAFF=ISE_Test2cubicAFF+...
                    [ds_Test2cubicAFF.Debug1(i);
                    ds_Test2cubicAFF.Debug2(i);
                    ds_Test2cubicAFF.Debug3(i);
                    ds_Test2cubicAFF.Debug4(i);
                    ds_Test2cubicAFF.Debug5(i);
                    ds_Test2cubicAFF.Debug6(i)].^2;
end
ISE_Test2cubicAFF_eta=ISE_Test2cubicAFF(1:3)/length(ds_Test2cubicAFF.time0);
ISE_Test2cubicAFF_tau=ISE_Test2cubicAFF(4:6)/length(ds_Test2cubicAFF.time0);


ISE_Test2noAFF=zeros(6,1);
for i=1:length(ds_Test2noAFF.time0)
    ISE_Test2noAFF=ISE_Test2noAFF+...
                    [ds_Test2noAFF.Debug1(i);
                    ds_Test2noAFF.Debug2(i);
                    ds_Test2noAFF.Debug3(i);
                    ds_Test2noAFF.Debug4(i);
                    ds_Test2noAFF.Debug5(i);
                    ds_Test2noAFF.Debug6(i)].^2;
end
ISE_Test2noAFF_eta=ISE_Test2noAFF(1:3)/length(ds_Test2noAFF.time0);
ISE_Test2noAFF_tau=ISE_Test2noAFF(4:6)/length(ds_Test2noAFF.time0);


%% Case 3
%highpass filter first
ds_Test3AFF = highpass_thrust(ds_Test3AFF);
ds_Test3cubic = highpass_thrust(ds_Test3cubic);
ds_Test3cubicAFF = highpass_thrust(ds_Test3cubicAFF);
ds_Test3noAFF = highpass_thrust(ds_Test3noAFF);

ISE_Test3AFF=zeros(4,1);
for i=1:length(ds_Test3AFF.time0)
    ISE_Test3AFF=ISE_Test3AFF+...
                    [ds_Test3AFF.Debug1(i);
                    ds_Test3AFF.Debug2(i);
                    ds_Test3AFF.Debug4(i);
                    ds_Test3AFF.Debug5(i);].^2;
end
ISE_Test3AFF_eta=ISE_Test3AFF(1:2)/length(ds_Test3AFF.time0);
ISE_Test3AFF_tau=ISE_Test3AFF(3:4)/length(ds_Test3AFF.time0);


ISE_Test3cubic=zeros(4,1);
for i=1:length(ds_Test3cubic.time0)
    ISE_Test3cubic=ISE_Test3cubic+...
                    [ds_Test3cubic.Debug1(i);
                    ds_Test3cubic.Debug2(i);
                    ds_Test3cubic.Debug4(i);
                    ds_Test3cubic.Debug5(i);].^2;
end
ISE_Test3cubic_eta=ISE_Test3cubic(1:2)/length(ds_Test3cubic.time0);
ISE_Test3cubic_tau=ISE_Test3cubic(3:4)/length(ds_Test3cubic.time0);

ISE_Test3cubicAFF=zeros(4,1);
for i=1:length(ds_Test3cubicAFF.time0)
    ISE_Test3cubicAFF=ISE_Test3cubicAFF+...
                    [ds_Test3cubicAFF.Debug1(i);
                    ds_Test3cubicAFF.Debug2(i);
                    ds_Test3cubicAFF.Debug4(i);
                    ds_Test3cubicAFF.Debug5(i);].^2;
end
ISE_Test3cubicAFF_eta=ISE_Test3cubicAFF(1:2)/length(ds_Test3cubicAFF.time0);
ISE_Test3cubicAFF_tau=ISE_Test3cubicAFF(3:4)/length(ds_Test3cubicAFF.time0);


ISE_Test3noAFF=zeros(4,1);
for i=1:length(ds_Test3noAFF.time0)
    ISE_Test3noAFF=ISE_Test3noAFF+...
                    [ds_Test3noAFF.Debug1(i);
                    ds_Test3noAFF.Debug2(i);
                    ds_Test3noAFF.Debug4(i);
                    ds_Test3noAFF.Debug5(i);].^2;
end
ISE_Test3noAFF_eta=ISE_Test3noAFF(1:2)/length(ds_Test3noAFF.time0);
ISE_Test3noAFF_tau=ISE_Test3noAFF(3:4)/length(ds_Test3noAFF.time0);

format short g
MT_ISE=[ISE_Test1AFF_eta', ISE_Test1AFF_tau';
        ISE_Test1cubic_eta',ISE_Test1cubic_tau';
        ISE_Test1cubicAFF_eta',ISE_Test1cubicAFF_tau';
        ISE_Test1noAFF_eta',ISE_Test1noAFF_tau';
        NaN,NaN,NaN,NaN,NaN,NaN;
        ISE_Test2AFF_eta',ISE_Test2AFF_tau';
        ISE_Test2cubic_eta',ISE_Test2cubic_tau';
        ISE_Test2cubicAFF_eta',ISE_Test2cubicAFF_tau';
        ISE_Test2noAFF_eta',ISE_Test2noAFF_tau';
        NaN,NaN,NaN,NaN,NaN,NaN;
        ISE_Test3AFF_eta',NaN,ISE_Test3AFF_tau',NaN;
        ISE_Test3cubic_eta',NaN,ISE_Test3cubic_tau',NaN;
        ISE_Test3cubicAFF_eta',NaN,ISE_Test3cubicAFF_tau',NaN;
        ISE_Test3noAFF_eta',NaN,ISE_Test3noAFF_tau',NaN]
matrix2lyx(MT_ISE, 'ISE_MT_study.lyx')

MT_ISE_ratio=[ISE_Test1AFF_eta'./ISE_Test1noAFF_eta', ISE_Test1AFF_tau'./ISE_Test1noAFF_tau';
        ISE_Test1cubic_eta'./ISE_Test1noAFF_eta',ISE_Test1cubic_tau'./ISE_Test1noAFF_tau';
        ISE_Test1cubicAFF_eta'./ISE_Test1noAFF_eta',ISE_Test1cubicAFF_tau'./ISE_Test1noAFF_tau';
        NaN,NaN,NaN,NaN,NaN,NaN;
        ISE_Test2AFF_eta'./ISE_Test2noAFF_eta',ISE_Test2AFF_tau'./ISE_Test2noAFF_tau';
        ISE_Test2cubic_eta'./ISE_Test2noAFF_eta',ISE_Test2cubic_tau'./ISE_Test2noAFF_tau';
        ISE_Test2cubicAFF_eta'./ISE_Test2noAFF_eta',ISE_Test2cubicAFF_tau'./ISE_Test2noAFF_tau';
        NaN,NaN,NaN,NaN,NaN,NaN;
        ISE_Test3AFF_eta'./ISE_Test3noAFF_eta',NaN,ISE_Test3AFF_tau'./ISE_Test3noAFF_tau',NaN;
        ISE_Test3cubic_eta'./ISE_Test3noAFF_eta',NaN,ISE_Test3cubic_tau'./ISE_Test3noAFF_tau',NaN;
        ISE_Test3cubicAFF_eta'./ISE_Test3noAFF_eta',NaN,ISE_Test3cubicAFF_tau'./ISE_Test3noAFF_tau',NaN;
        ]
matrix2lyx(MT_ISE_ratio, 'ISE_MT_ratio.lyx')