function y = find_box_limits(error_pos,t,F,H,k,opt,sim_number)
%% Find predictive box limits that have a ISE ratio less than 1
%
% Created by Christoffer Ofstad, 20.02.2014
for I=1:length(error_pos)
    for J=1:length(error_pos)
        if error_pos(I,J)<1
            if sim_number==1
                opt=[opt;t(J),F(I),H(k)];
            elseif sim_number==2
                opt=[opt;t(J),F(k),H(I)];
            elseif sim_number==3
                opt=[opt;t(k),F(J),H(I)];
            end
        end
    end
end
y=opt;
end


    