function F_pred = pred_force(F,p,psi)
%% Calculate predictive force
%
% Created by: Christoffer Ofstad 20.02.2014
%
psi=psi*pi/180;

r=[p,0]';
Force=[F*cos(psi),F*sin(psi),0]';
F_N=[0 0 1]*cross(r,Force);


F_pred = [F*cos(psi);
          F*sin(psi);
          F_N];

end